Subject: bug#42889: 28.0.50; make-pointer-invisible t should work also for navigation commands

From: Stefan Kangas <[email-masked]>
Date: Wed, 20 Oct 2021 07:52:17 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> Please consider the following feature request:
>>
>> 0. emacs -Q
>> 1. (setq make-pointer-invisible t)
>> 2. M-x customize-group RET RET
>> 3. Move mouse pointer over e.g. "Editing" to highlight it
>> 4. C-n C-p C-f C-b
>>
>> Result: "Editing" is still highlighted.
>>
>> Desired result: "Editing" is _not_ highlighted.
>
> I'm not quite sure I understand this report.  `make-pointer-invisible'
> makes the pointer invisible when you type something -- not when you use
> point movement commands like `C-n'.  So Emacs seems to be behaving as
> intended here.

You are correct; I want the cursor to be made invisible also with
navigation commands.  The highlighting is jarring here, not least
because I use "unclutter" to hide the mouse cursor automatically after 3
seconds of mouse inactivity.

> If I go to the "Search" entry field and type something in the Customize
> buffer, then the mouse pointer disappears, and the highlight over
> "Editing" also disappears.

Yes, I can reproduce this here.